import '@kano/styles/typography.js';
import { LitElement } from 'lit-element/lit-element.js';
import '../kc-validated-editable-label.js';
export declare class KCPartListItem extends LitElement {
    label: string;
    icon?: HTMLTemplateElement;
    validator: (oldName: string, newName: string) => boolean;
    static readonly styles: import("lit-element").CSSResult;
    render(): import("lit-element").TemplateResult;
    _onLabelChange(e: CustomEvent): void;
}
